# use Miniconda environment
#author = "Kang Yang"
#copyright = "Copyright 2017, Nanjing Greenland Hydrology Group"
#license = "GPL"
#version = "0.1"
#maintainer = "Kang Yang"
#email = "kangyang@nju.edu.cn"
#status = "Production"
#description = "stack Landsat 4 bands"


import arcpy,os,sys
import os
from arcpy import env
from arcpy.sa import *

arcpy.CheckOutExtension = "Spatial" 

#set the workspace and list all of the raster dataset
inputPath = r'E:\new_L8_images'
outputPath = r'E:\new_L8_images'
env.workspace= inputPath
rootDir=arcpy.ListWorkspaces("*","Folder")
for root in rootDir:
    env.workspace= root
    fcList=[]
    tiffs=arcpy.ListRasters("*", "TIF")    
    for tiff in tiffs:
        if tiff.endswith ('B1.TIF') or tiff.endswith ('B4.TIF'): #2018.09.06, for LM01 data, band starts from B4
            name = tiff.split("_B")[0]
        if "LC08" in name:
            if tiff.endswith (('B2.TIF','B3.TIF','B4.TIF','B5.TIF')):
                fcList.append(tiff)
        if "LE07" or "LT05" or "LT04" in name:
            if tiff.endswith (('B1.TIF','B2.TIF','B3.TIF','B4.TIF')):
                fcList.append(tiff)
        if "LM01" in name:
            if tiff.endswith (('B4.TIF','B5.TIF','B6.TIF','B7.TIF')):
                fcList.append(tiff)               
    fileName="stack_" + name + ".tif"
    print(fileName)
    arcpy.CompositeBands_management(fcList,outputPath + "\\" + fileName)