# use Miniconda environment
#author = "Kang Yang"
#copyright = "Copyright 2017, Nanjing Greenland Hydrology Group"
#license = "GPL"
#version = "0.1"
#maintainer = "Kang Yang"
#email = "kangyang@nju.edu.cn"
#status = "Production"
#description = "calculate NDWI image from stacked image"

import arcpy,os,sys
import os
import shutil
from arcpy import env
from arcpy.sa import *

#if arcpy.CheckExtension("Spatial") == "Available":
#    arcpy.AddMessage("Checking out Spatial")
#    arcpy.CheckOutExtension("Spatial")
#else:
#    arcpy.AddError("Unable to get spatial analyst extension")
#    arcpy.AddMessage(arcpy.GetMessages(0))
#    sys.exit(0)

arcpy.CheckOutExtension = "Spatial" 

inputPath = r'D:\Lake_depth_estimation\multitemporal_catchment_L8_images'
outputPath = r'D:\Lake_depth_estimation\multitemporal_catchment_L8_images\ndwi'
if os.path.exists(outputPath)==False:
        os.mkdir(outputPath)
env.workspace= inputPath
env.overwriteOutput = True
rasters=arcpy.ListRasters("*", "tif")
for raster in rasters:
    if "stack" in raster:
        print "process " + raster
        greenband = Raster(raster + "\\Band_2")
        nirband   = Raster(raster + "\\Band_4")
        #filename = "ndwi" + raster.split('stack')[1]
        filename = "ndwi_" + raster
        ndwiRaster=Float(greenband - nirband) / Float(greenband + nirband)
        #2018.08.08 update. Non-water, particularly land surface, has low NDWI values that will impact water dection. Reclassify these areas to enhance the contrast.
        #ndwiRaster = Con(ndwiRaster<0,0,ndwiRaster)
        ndwiRaster.save(os.path.join(outputPath,filename))
        arcpy.Delete_management("in_memory")
    
    



