# use Miniconda environment
#author = "Kang Yang"
#copyright = "Copyright 2017, Nanjing Greenland Hydrology Group"
#license = "GPL"
#version = "0.1"
#maintainer = "Kang Yang"
#email = "kangyang@nju.edu.cn"
#status = "Production"
#description = "extract water masks for study areas"

import arcpy
import os
from arcpy import env
from arcpy.sa import *

arcpy.CheckOutExtension("Spatial")
env.workspace=r'E:\1.GrIS_river_evolution\water_mask\2016'
env.overwriteOutput=True
outputPath=r'E:\1.GrIS_river_evolution\water_mask\2016\Watson_Isortoq'
if os.path.exists(outputPath)==False:
        os.mkdir(outputPath)

basin=r'E:\1.GrIS_river_evolution\basin_Watson_Isortoq_insideBuffer.shp'
env.extent = "MINOF"

imgs = arcpy.ListRasters("*","tif")

for img in imgs:
    
    if not "2016217" in img:
        continue

    watermaskFile=outputPath+"\\"+(img.split("."))[0]+"_Watson_Isortoq.tif"
    print watermaskFile
    outExtractByMask = ExtractByMask(img, basin)
    outExtractByMask.save(watermaskFile)
    arcpy.CalculateStatistics_management(watermaskFile)
    arcpy.BuildPyramids_management(watermaskFile) 