# use Miniconda environment
#author = "Kang Yang"
#copyright = "Copyright 2017, Nanjing Greenland Hydrology Group"
#license = "GPL"
#version = "0.1"
#maintainer = "Kang Yang"
#email = "kangyang@nju.edu.cn"
#status = "Production"
#description = "create empty river and lake shapefiles"

import arcpy
import os
from arcpy import env
from arcpy.sa import *


arcpy.CheckOutExtension("Spatial")
env.workspace=r'E:\1.GrIS_river_evolution\water_mask\2016\Watson_Isortoq'
env.overwriteOutput=True
outputPath=r'E:\1.GrIS_river_evolution\water_mask\2016\Watson_Isortoq\0_river_and_lake_shapefiles'
if os.path.exists(outputPath)==False:
        os.mkdir(outputPath)


tiffs = arcpy.ListRasters("*","tif")
for tiff in tiffs:


    if not "2016217" in tiff:
        continue

    print "process " + tiff
    lakeFile=(tiff.split('.')[0]).replace("watermask","lake")+".shp"
    riverFile=(tiff.split('.')[0]).replace("watermask","river")+".shp"
    sr = arcpy.Describe (tiff).spatialReference
    arcpy.CreateFeatureclass_management(outputPath, lakeFile, "POLYGON", "", "DISABLED", "DISABLED", sr)
    arcpy.CreateFeatureclass_management(outputPath, riverFile, "POLYLINE", "", "DISABLED", "DISABLED", sr)
    arcpy.AddField_management(outputPath+"\\"+riverFile, "width", "FLOAT", "","")
        
        
        


        
        
        



                
            
