# use Miniconda environment
#author = "Kang Yang"
#copyright = "Copyright 2017, Nanjing Greenland Hydrology Group"
#license = "GPL"
#version = "0.1"
#maintainer = "Kang Yang"
#email = "kangyang@nju.edu.cn"
#status = "Production"
#description = "get SMB runoff (melt) for given days (usually the days of image acquisitions"

import os
import pandas as pd
import numpy as np
import matplotlib.pyplot as plt
import matplotlib
from pandas.io.excel import ExcelWriter


runoffFile = r'E:\1.GrIS_river_evolution\1_SMB_outputs\2016\mar_7_5km_lat_lon_ps_basin_Watson_Isortoq_cells_melt_output.csv'
filename = os.path.splitext(runoffFile)[0]
ext = os.path.splitext(runoffFile)[1]

inputpath,name = os.path.split(filename);

output_runoffFile = inputpath + '\\DOYs_' + name + '.xlsx'


runoffData = pd.read_csv(runoffFile)
df_runoff = pd.DataFrame(runoffData)

#calculate accumulative runoff
#cumsumData = np.cumsum(df_runoff,axis = 1)


#doys = ['day164','day182','day189','day198','day205','day214','day237']  #2015

doys = ['day119','day135','day137','day144','day151','day153','day160','day192','day208','day217','day233']   #2016



df_runoff_sub = df_runoff[doys]


writer = ExcelWriter(output_runoffFile)
df_runoff_sub.to_excel(writer,'Sheet1')
writer.save()



